UIIdentifiers (gCube Resource Management Portlet 6.4.0-4.7.0-150651 API)
Date: 2017-10-12

org.gcube.portlets.admin.resourcemanagement.client.widgets.registry

## Class UIIdentifiers

- java.lang.Object
- - org.gcube.portlets.admin.resourcemanagement.client.widgets.registry.UIIdentifiers

-     public class UIIdentifiers
      extends Object

  Author:
    Daniele Strollo (ISTI-CNR)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `BUTTON_AVAILABLE_SCOPES_ID`
    `static String` | `CONSOLE_COMPONENT_ID`
    `static String` | `CONSOLE_PANEL_ID`
    `static String` | `CONSOLE_WIDGET_ID`
    `static String` | `GLOBAL_MENU_CONTAINER_PANEL`
    `static String` | `GLOBAL_MENUBAR_ID`
    `static String` | `GLOBAL_STATUS_BAR_ID`
    `static String` | `MAIN_CONTAINER_VIEWPORT_ID`
    `static String` | `RESOURCE_DETAIL_GRID_CONTAINER_ID`
    `static String` | `RESOURCE_DETAIL_GRID_PANEL`
    `static String` | `RESOURCE_NAVIGATION_PANEL`
    `static String` | `STATUS_LOADED_RESOURCES_ID`
    `static String` | `STATUS_PROGRESS_BAR_ID`
    `static String` | `STATUS_SCOPE_INFO_ID`
    `static String` | `TASKBAR_PANEL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIIdentifiers()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONSOLE_COMPONENT_ID

          public static final String CONSOLE_COMPONENT_ID

      See Also:
        Constant Field Values

    - #### CONSOLE_WIDGET_ID

          public static final String CONSOLE_WIDGET_ID

      See Also:
        Constant Field Values

    - #### CONSOLE_PANEL_ID

          public static final String CONSOLE_PANEL_ID

      See Also:
        Constant Field Values

    - #### RESOURCE_NAVIGATION_PANEL

          public static final String RESOURCE_NAVIGATION_PANEL

      See Also:
        Constant Field Values

    - #### RESOURCE_DETAIL_GRID_PANEL

          public static final String RESOURCE_DETAIL_GRID_PANEL

      See Also:
        Constant Field Values

    - #### RESOURCE_DETAIL_GRID_CONTAINER_ID

          public static final String RESOURCE_DETAIL_GRID_CONTAINER_ID

      See Also:
        Constant Field Values

    - #### GLOBAL_STATUS_BAR_ID

          public static final String GLOBAL_STATUS_BAR_ID

      See Also:
        Constant Field Values

    - #### STATUS_SCOPE_INFO_ID

          public static final String STATUS_SCOPE_INFO_ID

      See Also:
        Constant Field Values

    - #### STATUS_LOADED_RESOURCES_ID

          public static final String STATUS_LOADED_RESOURCES_ID

      See Also:
        Constant Field Values

    - #### STATUS_PROGRESS_BAR_ID

          public static final String STATUS_PROGRESS_BAR_ID

      See Also:
        Constant Field Values

    - #### GLOBAL_MENUBAR_ID

          public static final String GLOBAL_MENUBAR_ID

      See Also:
        Constant Field Values

    - #### BUTTON_AVAILABLE_SCOPES_ID

          public static final String BUTTON_AVAILABLE_SCOPES_ID

      See Also:
        Constant Field Values

    - #### MAIN_CONTAINER_VIEWPORT_ID

          public static final String MAIN_CONTAINER_VIEWPORT_ID

      See Also:
        Constant Field Values

    - #### GLOBAL_MENU_CONTAINER_PANEL

          public static final String GLOBAL_MENU_CONTAINER_PANEL

      See Also:
        Constant Field Values

    - #### TASKBAR_PANEL

          public static final String TASKBAR_PANEL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIIdentifiers

          public UIIdentifiers()

Copyright © 2017. All Rights Reserved.